function [wvrec]=D_wav_synt_2dP(wvtran,Par,DeTr)
%2D discrete spline wavelet synthesis
%wvtran-- array of  wavelet transform's coeff.
%Par-- spline order
%DeTr --depth of decomposition
[N ~]=size(wvtran);
wvrec=[];


M=N/2^(DeTr-1);



for kk=1:DeTr
     m=1:M;
     
 wv=wvtran(m,m);
 [wv]=D_wav_syntP(wv',Par,1)';
 wvtran(m,m)=D_wav_syntP(wv,Par,1);
 M=2*M;
end
wvrec=wvtran;